gtkspellmm 3.0.5

Public Types | Public Member Functions | List of all members
GtkSpell::Error Class Reference

`#include </mnt/build/builds/oe/scarthgap/oe-quirky/build-amd64/tmp/work/nocona-64-poky-linux/gtkspellmm3/3.0/gtkspellmm-3.0.5+dfsg.orig/gtkspell/gtkspellmm/gtkspell.h>`

Inheritance diagram for GtkSpell::Error:
[legend]

## Public Types
enum | Code { BACKEND }
| Error codes used for GtkSpell errors. More...

## Public Member Functions
| Error (Code error_code, const Glib::ustring& error_message)
| Error (GError* gobject)
Code | code () const

## Detailed Description

Examples
  example/example.cc.

## Member Enumeration Documentation

## ◆ Code

enum GtkSpell::Error::Code

Error codes used for GtkSpell errors.

Enumerator
BACKEND | Error code for backend errors.

## Constructor & Destructor Documentation

## ◆ Error() [1/2]

GtkSpell::Error::Error | ( | Code | error_code,
|  | const Glib::ustring & | error_message
| ) |  |

## ◆ Error() [2/2]

GtkSpell::Error::Error | ( | GError * | gobject | ) |
| explicit

## Member Function Documentation

## ◆ code()

Code GtkSpell::Error::code | ( |  | ) | const